/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

//**Query**
//on a given day in february, give me all the cancelled flights
import airline_performance_monitor;

//filter set to day of the month(february in this case)
datefilter := '1';
FetchCancelledFlightsByDate := 
		FETCH(airline_performance_monitor.File_FlightData,
					airline_performance_monitor.IDX_FlightsByDate(DayOfMonth = datefilter,IndCancelled = 1),
					RIGHT.fpos);

OUTPUT(choosen(FetchCancelledFlightsByDate,1000),{FlightDate,AirlineDescription,FlightNumber},named('CancelledFlightsByDate'));