/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

#WORKUNIT('NAME','FetchCancelledFlightsByDate')
IMPORT airline_performance_monitor;

STRING2 datefilter := ''	:STORED('dayValue');

result := 
		FETCH(airline_performance_monitor.File_FlightData,
					airline_performance_monitor.IDX_FlightsByDate(DayOfMonth = datefilter,IndCancelled = 1),
					RIGHT.fpos);

OUTPUT(result,{FlightDate,AirlineDescription,FlightNumber},named('CancelledFlightsByDate'));