/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

IMPORT airline_performance_monitor;
IMPORT std;

airline_performance_monitor.Layout_AirlineInfo CleanMe(airline_performance_monitor.Layout_AirlineInfo l) := TRANSFORM
	SELF.UniqueCarrier := std.Str.FindReplace(l.UniqueCarrier,'\"','');
	SELF.FlightNumber := std.Str.FindReplace(l.FlightNumber,'\"','');
	SELF.Origin := std.Str.FindReplace(l.Origin,'\"','');
	SELF.OriginStateName := std.Str.FindReplace(l.OriginStateName,'\"','');
	SELF.Destination := std.Str.FindReplace(l.Destination,'\"','');
	SELF.DestStateName := std.Str.FindReplace(l.DestStateName,'\"','');
	SELF.SchedDepTime := std.Str.FindReplace(l.SchedDepTime,'\"','');
	SELF.ActualDepTime := IF(l.ActualDepTime = '\"\"','0',std.Str.FindReplace(l.ActualDepTime,'\"',''));
	SELF.SchedArrTime := std.Str.FindReplace(l.SchedArrTime,'\"','');
	SELF.ActualArrTime := IF(l.ActualArrTime = '\"\"','0',std.Str.FindReplace(l.ActualArrTime,'\"',''));
	SELF := l;
END;

export clean_flightinfo := PROJECT(airline_performance_monitor.File_FlightInfo,CleanMe(LEFT));

//OUTPUT(clean_flightinfo,named('CleanFlightInfo'));