﻿/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

//**Query**
//for a given airport, give me all the cancelled flights
import airline_performance_monitor;

//filter set to day of the month(february in this case)
airportfilter := 'LAX';
FetchCancelledFlightsByAirport := 
		FETCH(airline_performance_monitor.File_FlightData,
					airline_performance_monitor.IDX_FlightsByAirport(Destination = airportfilter,IndCancelled = 1),
					RIGHT.fpos);

OUTPUT(choosen(FetchCancelledFlightsByAirport,1000),{FlightDate,AirlineDescription,FlightNumber,Destination},named('CancelledFlightsByAirport'));