/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

#WORKUNIT('NAME','FetchCancelledFlightsByAirport')
IMPORT airline_performance_monitor;
IMPORT std;

STRING3 airportfilter := ''	:STORED('airportValue');

FetchCancelledFlightsByAirport := 
		FETCH(airline_performance_monitor.File_FlightData,
					airline_performance_monitor.IDX_FlightsByAirport(Destination = std.Str.ToUpperCase(airportfilter),IndCancelled = 1),
					RIGHT.fpos);

OUTPUT(FetchCancelledFlightsByAirport,{FlightDate,AirlineDescription,FlightNumber,Destination},named('CancelledFlightsByAirport'));