/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

#WORKUNIT('NAME','FetchDelayedFlightsByAirport')
IMPORT airline_performance_monitor;
IMPORT std;

STRING3 Airportfilter := ''	:STORED('airportValue');

FetchDelayedFlightsByAirport := 
		FETCH(airline_performance_monitor.File_FlightData,
					airline_performance_monitor.IDX_FlightsByAirport(Destination = std.Str.ToUpperCase(Airportfilter),ArrDelay >= 15),
					RIGHT.fpos);

OUTPUT(choosen(FetchDelayedFlightsByAirport,1000),{FlightDate,AirlineDescription,FlightNumber,DelayCause},named('DelayedFlightsByAirport'));